<?php
header("Content-Type:application/json; charset=UTF-8");
if ($ms['MODULES']['CACHE_FRONT_END'] and !$ms['MODULES']['CACHE_TIME_OUT_SEARCH_PAGES']) $ms['MODULES']['CACHE_FRONT_END']=0;
if ($ms['MODULES']['CACHE_FRONT_END'])
{
	$options = array(
		'caching' => true,
		'cacheDir' => $this->DOCUMENT_ROOT.'uploads/tx_multishop/tmp/cache/',
		'lifeTime' => $ms['MODULES']['CACHE_TIME_OUT_SEARCH_PAGES']
	);
	$Cache_Lite = new Cache_Lite($options);
	$string=md5('ajax_products_search_'.$this->shop_pid.'_'.$_REQUEST['q'].'_'.$get['page']);
}
if (!$ms['MODULES']['CACHE_FRONT_END'] or ($ms['MODULES']['CACHE_FRONT_END'] and !$content=$Cache_Lite->get($string)))
{
	set_include_path(t3lib_extMgm::extPath('multishop').PATH_SEPARATOR.t3lib_extMgm::extPath('multishop').'scripts/front_pages/');	
	if ($_REQUEST['q'])
	{
		$get['q'] = $_REQUEST['q'];	
		$get['q'] = trim($get['q']);
		$get['q'] = $GLOBALS['TSFE']->csConvObj->utf8_encode($get['q'], $GLOBALS['TSFE']->metaCharset);
		$get['q'] = $GLOBALS['TSFE']->csConvObj->entities_to_utf8($get['q'],TRUE);
		$get['q'] = mslib_fe::RemoveXSS($get['q']);	
	}
	if ($_REQUEST['q'] and strlen($_REQUEST['q']) < 1) exit();
	
	/**
	 * Perform a simple text replace
	 * This should be used when the string does not contain HTML
	 * (off by default)
	 */
	define('STR_HIGHLIGHT_SIMPLE', 1);
	
	/**
	 * Only match whole words in the string
	 * (off by default)
	 */
	define('STR_HIGHLIGHT_WHOLEWD', 2);
	
	/**
	 * Case sensitive matching
	 * (on by default)
	 */
	define('STR_HIGHLIGHT_CASESENS', 0);
	
	/**
	 * Overwrite links if matched
	 * This should be used when the replacement string is a link
	 * (off by default)
	 */
	define('STR_HIGHLIGHT_STRIPLINKS', 8);
	
	/**
	 * Highlight a string in text without corrupting HTML tags
	 *
	 * @author      Aidan Lister <aidan@php.net>
	 * @version     3.1.0
	 * @param       string          $text           Haystack - The text to search
	 * @param       array|string    $needle         Needle - The string to highlight
	 * @param       bool            $options        Bitwise set of options
	 * @param       array           $highlight      Replacement string
	 * @return      Text with needle highlighted
	 */
	function str_highlight($text, $needle='', $options = null, $highlight = null)
	{
		if (!$needle) return $text;
		// Default highlighting
		if ($highlight === null) {
			$highlight = '<strong class="highlight">\1</strong>';
		}
	
		// Select pattern to use
		if ($options & STR_HIGHLIGHT_SIMPLE) {
			$pattern = '#(%s)#';
		} else {
			$pattern = '#(?!<.*?)(%s)(?![^<>]*?>)#';
			$sl_pattern = '#<a\s(?:.*?)>(%s)</a>#';
		}
	
		// Case sensitivity
	/*
		if ($options ^ STR_HIGHLIGHT_CASESENS) {
	
			$pattern .= 'i';
			$sl_pattern .= 'i';
		}
	*/
			$pattern .= 'i';
			$sl_pattern .= 'i';
	
		$needle = (array) $needle;
		foreach ($needle as $needle_s) {
			$needle_s = preg_quote($needle_s);
	
			// Escape needle with optional whole word check
			if ($options & STR_HIGHLIGHT_WHOLEWD) {
				$needle_s = '\b' . $needle_s . '\b';
			}
	
			// Strip links
			if ($options & STR_HIGHLIGHT_STRIPLINKS) {
				$sl_regex = sprintf($sl_pattern, $needle_s);
				$text = preg_replace($sl_regex, '\1', $text);
			}
	
			$regex = sprintf($pattern, $needle_s);
			$text = preg_replace($regex, $highlight, $text);
		}
	
		return $text;
	}
	$p = !$get['page'] ? 0 : $get['page'];
	if (!is_numeric($p)) $p=0;
	$limit = 4;
	$offset = $p * $limit;
	
	// product search
	$filter		=array();
	$having		=array();
	$match		=array();
	$orderby	=array();
	$where		=array();
	$orderby	=array();
	$select		=array();	
	if (strlen($get['q']) >0)
	{
		$array=explode(" ",$get['q']);
		$total=count($array);
		$oldsearch=0;			
		foreach ($array as $item)
		{
			if (strlen($item) < 2)
			{
				$oldsearch=1;
				break;
			}
		}
		if ($ms['MODULES']['FLAT_DATABASE']) 	$tbl='pf.';
		else									$tbl='pd.';
		if ($oldsearch)
		{
			// do normal indexed search	
			$filter[]="(".$tbl."products_name like '".addslashes($get['q'])."%')";					
		}
		else
		{
			// do fulltext search
			$tmpstr=addslashes(mslib_befe::ms_implode(', ', $array,'"','+',true));				
			$select[]	="MATCH (".$tbl."products_name) AGAINST ('".$tmpstr."' in boolean mode) AS score";
			$where[]	="MATCH (".$tbl."products_name) AGAINST ('".$tmpstr."' in boolean mode)";		
			$key = 	$get['q'];
			$orderby[]	='score desc';
		}
	}
	if (is_numeric($parent_id) and $parent_id > 0)
	{
		if ($ms['MODULES']['FLAT_DATABASE'])
		{
			$string='(';
			for ($i=0;$i<4;$i++)
			{
				if ($i>0) $string.=" or ";
				$string.="categories_id_".$i." = '".$parent_id."'";
			}
			$string.=')';
			if ($string) $filter[]=$string;
			// 
		}
		else
		{
			$cats=mslib_fe::get_subcategory_ids($parent_id);
			$cats[]=$parent_id;
			$filter[]="p2c.categories_id IN (".implode(",",$cats).")";
		}
	}
	$pageset=mslib_fe::getProductsPageSet($filter,$offset,$limit,$orderby,$having,$select,$where);
	$products=$pageset['products'];		
	if ($pageset['total_rows'] > 0)
	{
			
		if (strstr($ms['MODULES']['PRODUCTS_LISTING_AUTOCORRECTION_TYPE'],"..")) die('error in PRODUCTS_LISTING_AUTOCORRECTION_TYPE value');
		else 
		{
			if (strstr($ms['MODULES']['PRODUCTS_LISTING_AUTOCORRECTION_TYPE'],"/"))	require($this->DOCUMENT_ROOT.$ms['MODULES']['PRODUCTS_LISTING_AUTOCORRECTION_TYPE'].'.php');	
			else	require('includes/products_listing_autocomplete/'.$ms['MODULES']['PRODUCTS_LISTING_AUTOCORRECTION_TYPE'].'.php');	
		}			
	}
	else
	{
		$content = array("products"=>array());		
	}
	$content=json_encode($content);
	if ($ms['MODULES']['CACHE_FRONT_END'])	$Cache_Lite->save($content);	
}
echo $content;
exit;
?>