<?php
$output=array();
$product=mslib_fe::getProduct($get['products_id'],$get['categories_id']);
if (!$product['products_id']) 
{
	$content='<div class="main-heading"><h2>The product is not existing</h2></div>';
}
else
{
	// meta tags
	if ($product['products_meta_title'])	$ms['title']	=	$product['products_meta_title'];
	else									$ms['title']	=	$product['products_name'];
	$output_array['meta']['title'] 			= '<title>'.htmlspecialchars($ms['title']).' :: '.$ms['MODULES']['STORE_NAME'].'</title>';		
	if ($product['products_meta_description'])		$ms['description']=$product['products_meta_description'];
	elseif ($product['products_shortdescription'])	$ms['description']=$product['products_shortdescription'];
	else											$ms['description']='Product information: '.$product['products_name'].'. Order now!';
	if ($ms['description']) $output_array['meta']['description'] = '<meta name="description" content="'.htmlspecialchars($ms['description']).'" />';	
	if ($product['products_meta_keywords']) $output_array['meta']['keywords'] 	= '<meta name="keywords" content="'.htmlspecialchars($product['products_meta_keywords']).'" />';		
	// meta tags eof	
	// putting the product vars in an array which will be marked and replaced in dynamic tmpl file
	// products pagination module
	if ($ms['MODULES']['PRODUCTS_DETAIL_PAGE_PAGINATION'])
	{
		// get previous / next record
		$pagination_items=mslib_fe::getNextPreviousProduct($product['products_id'],$product['categories_id']);
		$pagination.='<div id="products_detail_pagination">';
		if ($pagination_items['previous_item']) $pagination.='<div class="pagination_previous"><a href="'.$pagination_items['previous_item'].'">'.$this->pi_getLL('previous').'</a></div>';
		else											$pagination.='<div class="pagination_previous_disabled">'.$this->pi_getLL('previous').'</div>';		
		if ($pagination_items['next_item']) 	$pagination.='<div class="pagination_next"><a href="'.$pagination_items['next_item'].'">'.$this->pi_getLL('next').'</a></div>';
		else											$pagination.='<div class="pagination_next_disabled">'.$this->pi_getLL('next').'</div>';
		$pagination.='</div>';
		$output['pagination']=$pagination;
	} 
	// products pagination module eof
	$output['products_name']		.=$product['products_name'];
	if ($this->ROOTADMIN_USER or ($this->ADMIN_USER and $this->CATALOGADMIN_USER))
	{
		$output['products_name'].='<div class="admin_menu"><a href="'.mslib_fe::typolink(',2002','&tx_multishop_pi1[page_section]=admin_ajax&cid='.$product['categories_id'].'&pid='.$product['products_id']).'&action=edit_product" onclick="return hs.htmlExpand(this, { objectType: \'iframe\', width: 910, height: 500} )" class="admin_menu_edit">Add</a> <a href="'.mslib_fe::typolink(',2002','&tx_multishop_pi1[page_section]=admin_ajax&cid='.$product['categories_id'].'&pid='.$product['products_id']).'&action=delete_product" onclick="return hs.htmlExpand(this, { objectType: \'iframe\', width: 850, height: 140} )" class="admin_menu_remove" alt="Remove"></a></div>';
	}
	$final_price=mslib_fe::final_products_price($product);
	if ($product['tax_id'] and $ms['MODULES']['SHOW_PRICES_WITH_AND_WITHOUT_VAT'])
	{
		$tax=mslib_fe::getTaxById($product['tax_id']);	
		if ($tax)
		{
			$sub_content.='<div class="price_excluding_vat">'.$this->pi_getLL('excluding_vat').' '.mslib_fe::Money2Cents(($product['final_price'])).'</div>';		
		}
	}
	$staffel_price_hid = '';
	if ($product['staffel_price'] && $ms['MODULES']['STAFFEL_PRICE_MODULE']) {
		$staffel_price_hid = '<input type="hidden" name="staffel_price" id="staffel_price" value="'.$product['staffel_price'].'" readonly/>';
	}
	$output['products_price']='<div class="price_div">';
	if ($product['products_price'] <> $product['final_price'])
	{
		if (!$ms['MODULES']['DB_PRICES_INCLUDE_VAT'] and ($product['tax_rate'] and $ms['MODULES']['SHOW_PRICES_INCLUDING_VAT']))
		{
			$old_price=$product['products_price']*(1+$product['tax_rate']);
		}			
		else $old_price=$product['products_price'];		
		if ($old_price) $output['products_price']		.='<div class="old_price">'.mslib_fe::Money2Cents($old_price).'</div>';
		$output['products_price'] 						.='	<input type="hidden" name="price_hid" id="price_default" value="'.$final_price.'"/>
															'.$staffel_price_hid.'
															<div class="specials_price">'.mslib_fe::Money2Cents($final_price).'</div>												
														';		
	}
	else
	{
		$output['products_price']		.='
										  	<input type="hidden" name="price_hid" id="price_default" value="'.$final_price.'"/>
										  	<input type="hidden" name="price" id="price" value="'.$final_price.'" readonly/>
											'.$staffel_price_hid.'
										  	<div class="specials_price">'.mslib_fe::Money2Cents($final_price).'</div>										 
										  ';		
	}	
	$output['products_price'].=$sub_content.'</div>';
	// show selectbox by products multiplication or show default input
	$quantity_html='';
	if ($product['maximum_quantity'] > 0 or (is_numeric($product['products_multiplication']) and $product['products_multiplication'] > 0))
	{
		if ($product['maximum_quantity'] > 0) 		$ending_number=$product['maximum_quantity'];
		if ($product['minimum_quantity'] > 0) 		$start_number=$product['minimum_quantity'];
		elseif($product['products_multiplication'])	$start_number=$product['products_multiplication'];
		if (!$start_number) $start_number=1;
		$quantity_html.='<select name="quantity" id="quantity">';
		$count=0;
		$steps=10;
		if ($product['maximum_quantity'] and $product['products_multiplication'])
		{
			$steps=floor($product['maximum_quantity']/$product['products_multiplication']);
		}
		elseif ($product['maximum_quantity'] and !$product['products_multiplication'])
		{
			$steps=($ending_number-$start_number)+1;
		}
		$count=$start_number;
		for ($i=0;$i<$steps;$i++)
		{
			if ($product['products_multiplication']) 	$item=$product['products_multiplication'];
			elseif($i)									$item=1;
			$count=($count+$item);
			$quantity_html.='<option value="'.$count.'">'.$count.'</option>';
		}
		$quantity_html.='</select>
		<script>
		jQuery(document).ready(function($){ 
			updatePriceByQuantity('.$start_number.');
			$("#quantity").change(function() 
			{ 
				var quantity;
				quantity = $("#quantity").val(); 
				updatePriceByQuantity(quantity);
			});
		});		
		</script>
		';
	}
	else
	{
		if ($product['minimum_quantity'] > 0)
		{
			$qty=$product['minimum_quantity'];
		}
		else	$qty=1;
		$quantity_html.='<input type="text" name="quantity" size="5" id="quantity" value="'.$qty.'" />';
		if ($qty>1)
		{
			$quantity_html.='
			<script>
			jQuery(document).ready(function($){ 
				updatePriceByQuantity('.$qty.');
				$("#quantity").change(function() 
				{ 
					var quantity;	
					var min_quantity='.$qty.';
					quantity = $("#quantity").val(); 			
					alert(quantity);
					if (quantity < min_quantity)
					{
						$("#quantity").val(min_quantity); 
						updatePriceByQuantity(min_quantity);
					}
				});				
			});
			</script>
			';			
		}
	}
	// show selectbox by products multiplication or show default input eof
	$output['quantity']='
	<div class="quantity">
		<label>'. $this->pi_getLL('quantity') .'</label> 
		'.$quantity_html.'
	</div>
	';
	$output['back_button']='
	<div onClick="history.back()" class="back_button">'.$this->pi_getLL('back').'</div>
	';	
	$output['products_category']	='Category: '.$product['categories_name'];
	$output['products_relatives']=mslib_fe::getProductRelativesBox($product);

$output['products_description']	='
	<script type="text/javascript"> 
		jQuery(document).ready(function() {
			jQuery(".tab_content").hide(); 
			jQuery("ul.tabs li:first").addClass("active").show();
			jQuery(".tab_content:first").show();
			jQuery("ul.tabs li").click(function() {
				jQuery("ul.tabs li").removeClass("active");
				jQuery(this).addClass("active"); 
				jQuery(".tab_content").hide();
				var activeTab = jQuery(this).find("a").attr("href");
				jQuery(activeTab).show();
				return false;
			});
		});
	</script>
	';
	if ($ms['MODULES']['PRODUCTS_DETAIL_NUMBER_OF_TABS'])
	{
			for ($i=1;$i<=$ms['MODULES']['PRODUCTS_DETAIL_NUMBER_OF_TABS'];$i++)
			{
					if ($product['products_description_tab_content_'.$i])
					{
						$tab_header.='<li><a href="#products_description_tab_'.$i.'"><h1>'.$product['products_description_tab_title_'.$i].'</h1></a></li>';
						$tab_content.='
						<div id="products_description_tab_'.$i.'" class="tab_content">
								'.$product['products_description_tab_content_'.$i].'
						</div>
						';
					}
			}
	}
	$output['products_description'].='
		<ul class="tabs">
			'.$tab_header.'
		</ul>
		<div class="tab_container">
			'.$tab_content.'
		</div>
	';

	$output['products_image']		='
	<div class="image">
	';
	if ($product['products_image'])
	{
		$image='
		<a id="thumb_0" class="highslide" onclick="return hs.expand(this, { slideshowGroup: \'slideshow\', thumbnailId: \'thumb_0\' })" href="'.mslib_befe::getImagePath($product['products_image'],'products','normal').'"><img src="'.mslib_befe::getImagePath($product['products_image'],'products','200').'"  title="'.htmlspecialchars(($product['products_shortdescription']?$product['products_shortdescription']:$product['products_name'])).'" alt="'.htmlspecialchars(($product['products_shortdescription']?$product['products_shortdescription']:$product['products_name'])).'"></a>

		';
	}
	else	$image='<div class="no_image"></div>';
	$output['products_image'].=$image.'
	</div>
	';
	$tmpoutput='';
	for ($i=1;$i<5;$i++)
	{
		if ($product['products_image'.$i])
		{
			$tmpoutput.='
			<a id="thumb_'.$i.'" title="'.htmlspecialchars($product['products_name'].' afbeelding '.($i+1)).'" class="highslide" onclick="return hs.expand(this, { slideshowGroup: \'slideshow\', thumbnailId: \'thumb_'.$i.'\' })" href="'.mslib_befe::getImagePath($product['products_image'.$i],'products','normal').'"><img src="'.mslib_befe::getImagePath($product['products_image'.$i],'products','300').'" alt="'.htmlspecialchars($product['products_name'].' afbeelding '.($i+1)).'" class="highslide" onclick="return hs.expand(this, { slideshowGroup: \'slideshow\', thumbnailId: \'thumb_'.$i.'\' })" href="'.mslib_befe::getImagePath($product['products_image'.$i],'products','normal').'"></a>		
			';
		}
	}
	if ($tmpoutput)
	{
		$output['products_image_more'].='<div class="more_product_images">'.$tmpoutput.'</div>';	
	}
	// loading the attributes	
	$output['product_attributes']=mslib_fe::showAttributes($product['products_id'],$product['tax_rate']);
	// loading the attributes eof
	// add to basket
	if ($ms['MODULES']['AFFILIATE_SHOP'] and $product['products_url'])
	{
		if (!strstr($product['products_url'],'http://') and !strstr($product['products_url'],'http://')) $product['products_url']='http://'.$product['products_url'];
		$order_now_button.='<input id="multishop_add_to_cart" name="Submit" type="button" value="'.$this->pi_getLL('add_to_basket').'" onclick="window.open(\''.$product['products_url'].'\', \'\',\'\'); return false" />';	
	}
	else
	{
		$order_now_button.='<input id="multishop_add_to_cart" name="Submit" type="submit" value="'.htmlspecialchars($this->pi_getLL('add_to_basket')).'" />';
	}
	$output['add_to_cart_button'].='<input name="products_id" id="products_id" type="hidden" value="'.$product['products_id'].'" />'.$order_now_button;
	
	
	
	// add to basket eof	
	// now parse all the objects in the tmpl file
	if ($this->conf['product_detail_tmpl_path'])  	$template = $this->cObj->fileResource($this->conf['product_detail_tmpl_path']);
	elseif ($this->conf['product_detail_tmpl'])  	$template = $this->cObj->fileResource($this->conf['product_detail_tmpl']);	
	else											$template = $this->cObj->fileResource(t3lib_extMgm::siteRelPath($this->extKey).'templates/products_detail.tmpl');
	$markerArray['###CONTENT###'] 					= $output['content']; 
	$markerArray['###PAGINATION###'] 				= $output['pagination']; 
	$markerArray['###PRODUCTS_NAME###'] 			= $output['products_name']; 
	$markerArray['###PRODUCTS_DESCRIPTION###'] 		= $output['products_description']; 
	$markerArray['###PRODUCTS_CATEGORY###'] 		= $output['products_category']; 
	$markerArray['###PRODUCTS_ATTRIBUTES###'] 		= $output['product_attributes']; 
	$markerArray['###PRODUCTS_RELATIVES###'] 		= $output['products_relatives']; 
	$markerArray['###PRODUCTS_IMAGE###'] 			= $output['products_image']; 
	$markerArray['###PRODUCTS_IMAGE_MORE###'] 		= $output['products_image_more']; 
	$markerArray['###PRODUCTS_PRICE###'] 			= $output['products_price']; 
	$markerArray['###PRODUCTS_SPECIAL_PRICE###'] 	= $output['special_price']; 
	$markerArray['###OTHER_CUSTOMERS_BOUGHT###'] 	= ''; 

	// new 
	$markerArray['###QUANTITY###'] 					= $output['quantity']; 
	$markerArray['###BACK_BUTTON###'] 				= $output['back_button']; 
	$markerArray['###ADD_TO_CART_BUTTON###'] 		= $output['add_to_cart_button'];
	
	$content 										.= $output['top_content'].'<form action="'.mslib_fe::typolink($this->conf['shoppingcart_page_pid'],'&tx_multishop_pi1[page_section]=shopping_cart&products_id='.$product['products_id']).'" method="post" name="shopping_cart"><div id="products_detail">'.$this->cObj->substituteMarkerArray($template, $markerArray).'</div></form>';

}
?>