<?php
if (is_numeric($get['orders_id']))
{
	$order=mslib_fe::getOrder($get['orders_id']);
	if ($post)
	{
		if ($ms['MODULES']['ORDER_EDIT'] and !$orders['is_locked'])
		{
			$delivery_country=mslib_fe::getCountryByName($post['delivery_country']);
			$updateArray=array();
			if ($post['shipping_method'])
			{
				$shipping_method=mslib_fe::getShippingMethod($post['shipping_method']);
				if ($post['tx_multishop_pi1']['shipping_method_costs'])
				{
					$price=$post['tx_multishop_pi1']['shipping_method_costs'];
				}
				else
				{
					$price=mslib_fe::getShippingCosts($delivery_country['cn_iso_nr'],$post['shipping_method']);
				}							
				if ($price > 0)
				{
					if (strstr($price,"%"))
					{
						// calculate total shipping costs based by %
						$subtotal=0;
						foreach ($order['products'] as $products_id => $value)
						{
							if (is_numeric($products_id))
							{	
								$subtotal=$subtotal+($value['qty']*$value['final_price']);
							}
						}				
						if ($subtotal)
						{
							$percentage=str_replace("%",'',$price);
							if ($percentage)
							{
								$price	= ($subtotal/100*$percentage);
							}
						}					
					}
					else
					{
						if (!strstr($price,"%")) // no percentage costs found
						{
							if (strstr($price,","))
							{
								$steps=explode(",",$price);
								// calculate total costs
								$subtotal=mslib_fe::getOrderTotalPrice($get['orders_id'],1);							
								$count=0;
								foreach ($steps as $step)
								{							
									// the   value 200:15 means below 200 euro the shipping costs are 15 euro, above and equal 200 euro the shipping costs are 0 euro
									$split=explode(":",$step);
									if (is_numeric($split[0]))
									{
										if ($count==0)
										{
											$price=$split[1];
										}
										if ($subtotal > $split[0])
										{
											$price=$split[1];
											next();
										}
									}
									$count++;
								}
							}
						}
					}				
				}			
				if ($price) $updateArray['shipping_method_costs']	=	$price;
				else	$updateArray['shipping_method_costs']	=	0;			
				$updateArray['shipping_method']					=	$shipping_method['code'];
				$updateArray['shipping_method_label']			=	$shipping_method['name'];
			}
			if ($post['payment_method'])
			{
				$payment_method=mslib_fe::getPaymentMethod($post['payment_method']);			
				if ($post['tx_multishop_pi1']['payment_method_costs'])
				{
					$price=$post['tx_multishop_pi1']['payment_method_costs'];
				}
				else
				{
					$price=$payment_method['handling_costs'];
				}									
				if ($price)
				{
					if (!strstr($price,"%")) $user['payment_method_costs']	=	$price;			
					else
					{
						// calculate total payment costs based by %
						$subtotal=0;
						foreach ($order['products'] as $products_id => $value)
						{
							if (is_numeric($value['products_id']))
							{	
								$subtotal=$subtotal+($value['qty']*$value['final_price']);
							}
						}				
						if ($subtotal)
						{
							$percentage=str_replace("%",'',$price);
							if ($percentage)
							{
								$price	= ($subtotal/100*$percentage);
							}
						}
					}					
				}	
				else	$price	=	0;
				$updateArray['payment_method_costs']			=	$price;
				$updateArray['payment_method']					=	$payment_method['code'];
				$updateArray['payment_method_label']			=	$payment_method['name'];
			}
			$keys=array();
			$keys[]='company';	
			$keys[]='name';	
			$keys[]='address';	
			$keys[]='address_number';	
			$keys[]='zip';	
			$keys[]='city';	
			$keys[]='country';	
			$keys[]='email';	
			$keys[]='telephone';	
			$keys[]='mobile';	
			$keys[]='fax';	
			foreach ($keys as $key)
			{
				$string='billing_'.$key;
				$updateArray[$string]=$post['tx_multishop_pi1'][$string];
				$string='delivery_'.$key;
				$updateArray[$string]=$post['tx_multishop_pi1'][$string];
			}
			if (count($updateArray))
			{
				$query = $GLOBALS['TYPO3_DB']->UPDATEquery('tx_multishop_orders', 'orders_id=\''.$get['orders_id'].'\'',$updateArray);
				$res = $GLOBALS['TYPO3_DB']->sql_query($query);				
			}
		}
	}
	if ($post['manual_products_id'] > 0 && $post['manual_product_name'] && $post['manual_product_price'])
	{		
		$sql = "insert into tx_multishop_orders_products (orders_id, products_id, qty, products_name, products_price, final_price, products_tax) values ('".$get['orders_id']."', '".$post['manual_products_id']."', '".$post['manual_product_qty']."', '". mysql_real_escape_string($post['manual_product_name'])."', '".$post['manual_product_price']."', '".$post['manual_product_price']."', '".$post['manual_product_tax']."')";
		$GLOBALS['TYPO3_DB']->sql_query($sql);
		// to redirect to 'normal url' after successfull deletion of item in order
	}
	
	if ($post['orders_products_id'] > 0 && $post['product_name'] && $post['product_price']) {
		$sql = "update tx_multishop_orders_products set products_id = '".$post['products_id']."', qty = '".$post['product_qty']."', products_name ='".mysql_real_escape_string($post['product_name'])."', products_price = '".$post['product_price']."', final_price = '".$post['product_price']."', products_tax = '".$post['product_tax']."' where orders_id = ".$get['orders_id']." and orders_products_id = '".$post['orders_products_id']."'";
		$GLOBALS['TYPO3_DB']->sql_query($sql);
	}
	//die();
	if (!empty($post['product_name']) || !empty($post['manual_product_name']))
	{
		echo '<script>location.href=\''.$this->FULL_HTTP_URL.mslib_fe::typolink(',2002','&tx_multishop_pi1[page_section]=admin_ajax&orders_id='.$get['orders_id']).'&action=edit_order\'</script>';
	}
	// delete single item in order
	if (isset($get['delete_product']) && $get['delete_product'] == 1) {
		if (isset($get['order_pid']) && $get['order_pid'] > 0)
		{
			$sql = "delete from tx_multishop_orders_products where orders_products_id = ".$get['order_pid']." limit 1";
			$GLOBALS['TYPO3_DB']->sql_query($sql);
			
			$sql = "delete from tx_multishop_orders_products_attributes where orders_products_id = ".$get['order_pid'];
			$GLOBALS['TYPO3_DB']->sql_query($sql);
			
			// to redirect to 'normal url' after successfull deletion of item in order
			echo '<script>location.href=\''.$this->FULL_HTTP_URL.mslib_fe::typolink(',2002','&tx_multishop_pi1[page_section]=admin_ajax&orders_id='.$get['orders_id']).'&action=edit_order\'</script>';
		}
	}
	
	$str="SELECT *, o.status, os.name as orders_status from tx_multishop_orders o left join tx_multishop_orders_status os on o.status=os.id where o.orders_id='".$get['orders_id']."'";
	$qry=$GLOBALS['TYPO3_DB']->sql_query($str);
	$orders=$GLOBALS['TYPO3_DB']->sql_fetch_assoc($qry);
	if ($orders['orders_id'])
	{
		if ($post['order_status'])
		{
			// first get current status
			if ($post['order_status']==$orders['status'])
			{
				// no new order status has been defined. only mail when the email text box is containing content
				if ($post['comments']) $continue_update=1;
			}
			else $continue_update=1;
			$close_window=1;			
			if ($continue_update)
			{
				$updateArray=array();
				$updateArray['orders_id']				=	$orders['orders_id'];
				$updateArray['old_value']				=	$orders['status'];
				$updateArray['comments']				=	$post['comments'];
				$updateArray['customer_notified']		=	$post['customer_notified'];
				$updateArray['crdate']					=	time();
				$updateArray['new_value']				=	$post['order_status'];
				$query = $GLOBALS['TYPO3_DB']->INSERTquery('tx_multishop_orders_status_history', $updateArray);
				$res = $GLOBALS['TYPO3_DB']->sql_query($query);			
				$updateArray=array();
				$updateArray['status']	=	$post['order_status'];
				$orders['status']		=	$post['order_status'];
				$orders['old_status']	=	$orders['status'];				
				$query = $GLOBALS['TYPO3_DB']->UPDATEquery('tx_multishop_orders', 'orders_id=\''.$_REQUEST['orders_id'].'\'',$updateArray);
				$res = $GLOBALS['TYPO3_DB']->sql_query($query);
				//send e-mail
				if ($post['customer_notified'])
				{
					$to = $orders['billing_email'];
					$subject = $ms['MODULES']['STORE_NAME'];
					$message = $post['comments'];				
					if ($post['order_status'] and $post['comments'])
					{
						$page=mslib_fe::getCMScontent('email_order_status_changed',$GLOBALS['TSFE']->sys_language_uid);
						if ($page[0])
						{
							// change the vars
							$array1=array();
							$array2=array();
							$full_customer_name=$orders['billing_first_name'];
							if ($orders['billing_middle_name']) 	$full_customer_name.=' '.$orders['billing_middle_name'];
							if ($orders['billing_last_name']) 		$full_customer_name.=' '.$orders['billing_last_name'];						
							$array1[]='###FULL_NAME###';
							$array2[]=$full_customer_name;
							$array1[]='###MESSAGE###';
							$array2[]=$post['comments'];						
							$array1[]='###CUSTOMER_EMAIL###';
							$array2[]=$orders['email'];			
							$array1[]='###LONG_DATE###'; // ie woensdag 23 juni, 2010
							$array2[]=strftime ($this->pi_getLL('full_date_format'));
							$array1[]='###STORE_NAME###';
							$array2[]=$ms['MODULES']['STORE_NAME'];
							
							$array1[]='###ORDER_NUMBER###';
							$array2[]=$orders['orders_id'];

							$array1[]='###OLD_ORDER_STATUS###';
							$array2[]=mslib_fe::getOrderStatusName($orders['old_status']);
							
							$array1[]='###ORDER_STATUS###';
							$array2[]=mslib_fe::getOrderStatusName($orders['status']);
							
							//todo
							/*
							Full name:###FULL_NAME###
							Customer email address:###CUSTOMER_EMAIL###
							Long date:###LONG_DATE###
							Store name:###STORE_NAME###
							Order total amount:###TOTAL_AMOUNT###
							Proposal number:###PROPOSAL_NUMBER###
							Order number (orders id):###ORDER_NUMBER###
							Order link:###ORDER_LINK###
							Billing address:###BILLING_ADDRESS###
							Delivery address:###DELIVERY_ADDRESS###
							Customer id:###CUSTOMER_ID###
							Shipping method:###SHIPPING_METHOD###
							Payment method:###PAYMENT_METHOD###
							Order details:###ORDER_DETAILS###
							Invoice link:###INVOICE_LINK###
							*/
							if($page[0]['content']) $page[0]['content']=str_replace($array1,$array2,$page[0]['content']);
							if($page[0]['name']) 	$page[0]['name']=str_replace($array1,$array2,$page[0]['name']);						
							$user=mslib_fe::getUser($orders['customer_id']);						
							if ($user['uid'])
							{
								mslib_fe::mailUser($user,$page[0]['name'],$page[0]['content'],$ms['MODULES']['STORE_EMAIL'],$ms['MODULES']['STORE_NAME']);
							}
						}					
					}
				}
			}
		}
		if ($post['order_memo'])
		{
			$close_window=1;
			$updateArray=array();
			$updateArray['order_memo']	=	$post['order_memo'];
			$query = $GLOBALS['TYPO3_DB']->UPDATEquery('tx_multishop_orders', 'orders_id=\''.$_REQUEST['orders_id'].'\'',$updateArray);
			$res = $GLOBALS['TYPO3_DB']->sql_query($query);				
			$orders['order_memo']=$post['order_memo'];			
		}
		if ($close_window)
		{
			echo $this->pi_getLL('update_processed').'.';			
			echo '
			<script>
			parent.window.location.reload();
			</script>
			';	
			exit();
		}
		$save_block='
			<div class="save_block">
				<input name="cancel" type="button" value="'.$this->pi_getLL('admin_cancel').'" onClick="parent.window.hs.close();"  class="submit" />
				<input name="Submit" type="submit" value="'.$this->pi_getLL('admin_save').'"  class="submit" />
			</div>		
		';			
		// count total products
		$total_amount=0;
		$str2="SELECT * from tx_multishop_orders_products where orders_id='".$orders['orders_id']."'";
		$qry2=$GLOBALS['TYPO3_DB']->sql_query($str2);
		while (($row=$GLOBALS['TYPO3_DB']->sql_fetch_assoc($qry2)) != false)
		{
			$orders_products[]=$row;
			$total_amount=($row['qty']*$row['final_price'])+$total_amount;		
			// now count the attributes
			$str3="SELECT * from tx_multishop_orders_products_attributes where orders_products_id='".$row['orders_products_id']."'";
			$qry3=$GLOBALS['TYPO3_DB']->sql_query($str3);
			while (($row3=$GLOBALS['TYPO3_DB']->sql_fetch_assoc($qry3)) != false)
			{	
				if ($row3['price_prefix']=='+') $total_amount=$total_amount+($row['qty']*$row3['options_values_price']);
				else							$total_amount=$total_amount-($row['qty']*$row3['options_values_price']);
				$orders_products_attributes[$row['orders_products_id']][]=$row3;
			}
			// now count the attributes eof
		}
		// count eof products
		$order_date=strftime("%x",  $orders['crdate']);
		$tmpcontent.='
<script language="JavaScript" type="text/JavaScript">
	function CONFIRM()
	{
		if (confirm("'.addslashes($this->pi_getLL('are_you_sure')).'?"))
		{
			return true;
		}
		else
		{
			return false;
		}
	}
</script>
';
	/*
var fillProductData = function(pids, dt) {
	var surl = \''.mslib_fe::typolink(',2002','&tx_multishop_pi1[page_section]=pdetails').'\';
	jQuery.ajax({
		type: \'get\',
		url: surl,
		data: {pid: pids},
		dataType: \'json\',
		success: function(data) {
			if (dt == 1) {
				jQuery(\'#products_id\').val(data.prod_id);
				jQuery(\'#product_price\').val(data.price_inc);
			} else {
				jQuery(\'#manual_products_id\').val(data.prod_id);
				jQuery(\'#manual_product_price\').val(data.price_inc);
			}
		}
	});
}		 
	 */

	$tmpcontent.='
	<fieldset class="tabs-fieldset">
		<legend>'.$this->pi_getLL('address_details').'</legend>
		<table id="address_details">
			<tr>
				<td width="50%" valign="top" id="billing_details">
					<table>
					<tr>
						<td align="left" valign="top">
						<h3>'.$this->pi_getLL('billing_details').'</h3>
';
if ($ms['MODULES']['ORDER_EDIT'] and !$orders['is_locked'])
{
	$tmpcontent.='
<div class="account-field">
	<label>'.ucfirst($this->pi_getLL('company')).':</label>						
	<input name="tx_multishop_pi1[billing_company]" type="text" value="'.$orders['billing_company'].'" />
</div>
<div class="account-field">
	<label>'.ucfirst($this->pi_getLL('name')).'*:</label>						
	<input name="tx_multishop_pi1[billing_name]" type="text" value="'.$orders['billing_name'].'" />
</div>
<div class="account-field">
	<label for="delivery_address">'.ucfirst($this->pi_getLL('street_address')).'*:</label>
	<input name="tx_multishop_pi1[billing_address]" type="text" value="'.$orders['billing_address'].'" />
	<span  class="error-space left-this"></span>
	<label class="delivery_account-addressnumber" for="delivery_address_number">'.ucfirst($this->pi_getLL('street_address_number')).'*</label>
	<input name="tx_multishop_pi1[billing_address_number]" type="text" value="'.$orders['billing_address_number'].'" /><span class="error-space left-this"></span>    
</div>
<div class="account-field">
	<label class="account-zip" for="zip">'.ucfirst($this->pi_getLL('zip')).'*</label>
	<input name="tx_multishop_pi1[billing_zip]" type="text" value="'.$orders['billing_zip'].'" /><span class="error-space"></span>
	<label class="account-city" for="city">'.ucfirst($this->pi_getLL('city')).'*</label>
	<input name="tx_multishop_pi1[billing_city]" type="text" value="'.$orders['billing_city'].'" /><span class="error-space"></span>
</div>
<div class="account-field">
	<label>'.ucfirst($this->pi_getLL('country')).'*:</label>						
	<input name="tx_multishop_pi1[billing_country]" type="text" value="'.$orders['billing_country'].'" />
</div>
<div class="account-field">
	<label>'.ucfirst($this->pi_getLL('email')).'*:</label>						
	<input name="tx_multishop_pi1[billing_email]" type="text" value="'.$orders['billing_email'].'" />
</div>
<div class="account-field">
	<label>'.ucfirst($this->pi_getLL('telephone')).'*:</label>						
	<input name="tx_multishop_pi1[billing_telephone]" type="text" value="'.$orders['billing_telephone'].'" />
</div>
<div class="account-field">
	<label>'.ucfirst($this->pi_getLL('mobile')).':</label>						
	<input name="tx_multishop_pi1[billing_mobile]" type="text" value="'.$orders['billing_mobile'].'" />
</div>
<div class="account-field">
	<label>'.ucfirst($this->pi_getLL('fax')).':</label>						
	<input name="tx_multishop_pi1[billing_fax]" type="text" value="'.$orders['billing_fax'].'" />
</div>
';
}
else
{
	$tmpcontent.='
		<div class="address_details_container">
		<strong>'.$orders['billing_company'].'</strong><br />
		'.$orders['billing_name'].'<br />
		'.$orders['billing_address'].' '.$orders['billing_address_number'].'<br />
		'.$orders['billing_zip'].' '.$orders['billing_city'].'<br />
		'.$orders['billing_country'].'<br /><br />
		'.$orders['billing_email'].'<br />
		'.$orders['billing_telephone'].'<BR />
		'.$orders['billing_mobile'].'<BR />
		'.$orders['billing_fax'].'<BR />	
		</div>
	';
}
$tmpcontent.='


		</td>
	</tr>
	</table>		
</td>
<td width="50%" valign="top" id="delivery_details">
	<table>
	<tr>
		<td align="left" valign="top">
		<h3>'.$this->pi_getLL('delivery_details').'</h3>
';
if ($ms['MODULES']['ORDER_EDIT'] and !$orders['is_locked'])
{
	$tmpcontent.='
<div class="account-field">
	<label>'.ucfirst($this->pi_getLL('company')).':</label>						
	<input name="tx_multishop_pi1[delivery_company]" type="text" value="'.$orders['delivery_company'].'" />
</div>
<div class="account-field">
	<label>'.ucfirst($this->pi_getLL('name')).'*:</label>						
	<input name="tx_multishop_pi1[delivery_name]" type="text" value="'.$orders['delivery_name'].'" />
</div>
<div class="account-field">
	<label for="delivery_address">'.ucfirst($this->pi_getLL('street_address')).'*:</label>
	<input name="tx_multishop_pi1[delivery_address]" type="text" value="'.$orders['delivery_address'].'" />
	<span  class="error-space left-this"></span>
	<label class="delivery_account-addressnumber" for="delivery_address_number">'.ucfirst($this->pi_getLL('street_address_number')).'*</label>
	<input name="tx_multishop_pi1[delivery_address_number]" type="text" value="'.$orders['delivery_address_number'].'" /><span class="error-space left-this"></span>    
</div>
<div class="account-field">
	<label class="account-zip" for="zip">'.ucfirst($this->pi_getLL('zip')).'*</label>
	<input name="tx_multishop_pi1[delivery_zip]" type="text" value="'.$orders['delivery_zip'].'" /><span class="error-space"></span>
	<label class="account-city" for="city">'.ucfirst($this->pi_getLL('city')).'*</label>
	<input name="tx_multishop_pi1[delivery_city]" type="text" value="'.$orders['delivery_city'].'" /><span class="error-space"></span>
</div>
<div class="account-field">
	<label>'.ucfirst($this->pi_getLL('country')).'*:</label>						
	<input name="tx_multishop_pi1[delivery_country]" type="text" value="'.$orders['delivery_country'].'" />
</div>
<div class="account-field">
	<label>'.ucfirst($this->pi_getLL('email')).'*:</label>						
	<input name="tx_multishop_pi1[delivery_email]" type="text" value="'.$orders['delivery_email'].'" />
</div>
<div class="account-field">
	<label>'.ucfirst($this->pi_getLL('telephone')).'*:</label>						
	<input name="tx_multishop_pi1[delivery_telephone]" type="text" value="'.$orders['delivery_telephone'].'" />
</div>
<div class="account-field">
	<label>'.ucfirst($this->pi_getLL('mobile')).':</label>						
	<input name="tx_multishop_pi1[delivery_mobile]" type="text" value="'.$orders['delivery_mobile'].'" />
</div>
<div class="account-field">
	<label>'.ucfirst($this->pi_getLL('fax')).':</label>						
	<input name="tx_multishop_pi1[delivery_fax]" type="text" value="'.$orders['delivery_fax'].'" />
</div>	
';
}
else
{
	$tmpcontent.='
		<div class="address_details_container">
			<strong>'.$orders['delivery_company'].'</strong><br />
			'.$orders['delivery_name'].'<br />
			'.$orders['delivery_address'].' '.$orders['delivery_address_number'].'<br />
			'.$orders['delivery_zip'].' '.$orders['delivery_city'].'<br />
			'.$orders['delivery_country'].'<br /><br />
			'.$orders['delivery_email'].'<br />
			'.$orders['delivery_telephone'].'<BR />
			'.$orders['delivery_mobile'].'<BR />
			'.$orders['delivery_fax'].'<BR />		
		</div>
	';
}
$tmpcontent.='
						</td>
					</tr>
					</table>				
				</td>
			</tr>
		</table>
		<table>
		<tr>
			<td width="" align="right">'.$this->pi_getLL('order_number').':</td>
			<td width="200">
				'.$orders['orders_id'].'
			</td>
			<td width="" align="right">'.$this->pi_getLL('shipping_method').':</td>
			<td>
				';
if ($ms['MODULES']['ORDER_EDIT'] and !$orders['is_locked'])
{
	$shipping_methods=mslib_fe::loadShippingMethods();
	$payment_methods=mslib_fe::loadPaymentMethods();
	if (is_array($shipping_methods) and count($shipping_methods))
	{
		$tmpcontent.='<select name="shipping_method"><option value="">'.ucfirst($this->pi_getLL('choose')).'</option>';
		foreach ($shipping_methods as $code => $item)
		{
			if (!$tr_type or $tr_type=='even') 	$tr_type='odd';
			else								$tr_type='even';				
			$count++;		
			$tmpcontent.='
			<option value="'.$item['id'].'"'.($code==$orders['shipping_method']?' selected':'').'>'.htmlspecialchars($item['name']).'</option>
			';
		}	
		$tmpcontent.='</select>';
	}	
}
else $tmpcontent.=($orders['shipping_method_label']?$orders['shipping_method_label']:$orders['shipping_method']);
$tmpcontent.='
			</td>			
		</tr>
		<tr>
			<td width="200" align="right">'.$this->pi_getLL('order_date').':</td>
			<td width="200">
				'. $order_date .'
			</td>
			<td width="" align="right">'.$this->pi_getLL('payment_method').':</td>
			<td>
';
if ($ms['MODULES']['ORDER_EDIT'] and !$orders['is_locked'])
{
	if (is_array($payment_methods) and count($payment_methods))
	{
		$tmpcontent.='<select name="payment_method"><option value="">'.ucfirst($this->pi_getLL('choose')).'</option>';
		foreach ($payment_methods as $code => $item)
		{
			if (!$tr_type or $tr_type=='even') 	$tr_type='odd';
			else								$tr_type='even';				
			$count++;		
			$tmpcontent.='
			<option value="'.$item['id'].'"'.($code==$orders['payment_method']?' selected':'').'>'.htmlspecialchars($item['name']).'</option>
			';
		}	
		$tmpcontent.='</select>';
	}
	$tmpcontent.='';	
}
else $tmpcontent.=($orders['payment_method_label']?$orders['payment_method_label']:$orders['payment_method']);
$tmpcontent.='				
			</td>			
		</tr>
		</table>
	</fieldset>
';
if ($orders['customer_comments'])
{
	$tmpcontent.='
	<fieldset class="tabs-fieldset">
		<legend>'.$this->pi_getLL('customer_comments').'</legend>
		'.nl2br($orders['customer_comments']).'
	</fieldset>
	';
}
$tmpcontent.='
	<fieldset class="tabs-fieldset">
	<legend>'.$this->pi_getLL('product_details').'</legend>
';
		$tr_type='even';
		$tmpcontent.='<table class="msadmin_border" width="100%">';
		if ($ms['MODULES']['ORDER_EDIT'] and !$orders['is_locked']) {
			$tmpcontent.='<tr><th class="cell_products_id">'.$this->pi_getLL('products_id').'</th><th class="cell_products_qty">'.$this->pi_getLL('qty').'</th><th class="cell_products_name">'.$this->pi_getLL('products_name').'</th><th class="cell_products_normal_price">'.$this->pi_getLL('normal_price').'</th><th  class="cell_products_vat">'.$this->pi_getLL('vat').'</th><th class="cell_products_final_price">'.$this->pi_getLL('final_price_ex_vat').'</th><th>&nbsp;</th></tr>';
		} else {
			$tmpcontent.='<tr><th class="cell_products_id">'.$this->pi_getLL('products_id').'</th><th class="cell_products_qty">'.$this->pi_getLL('qty').'</th><th class="cell_products_name">'.$this->pi_getLL('products_name').'</th><th class="cell_products_normal_price">'.$this->pi_getLL('normal_price').'</th><th class="cell_products_vat">'.$this->pi_getLL('vat').'</th><th class="cell_products_final_price">'.$this->pi_getLL('final_price_ex_vat').'</th></tr>';
		}
		$total_tax=0;
		if (is_array($orders_products) and count($orders_products))
		{
			foreach ($orders_products as $order)
			{
				if (!$tr_type or $tr_type=='even') 	$tr_type='odd';
				else								$tr_type='even';			
				$tmpcontent.='<tr class="'.$tr_type.'">';
				
				if (($ms['MODULES']['ORDER_EDIT'] and !$orders['is_locked']) and ($get['edit_product'] == 1 && $get['order_pid'] == $order['orders_products_id'])) {
					$tmpcontent.='<td align="right" class="cell_products_products_id">'.$order['products_id'].'</td>';		
					$tmpcontent.='<td align="right" class="cell_products_qty"><input type="hidden" name="products_id" id="products_id" value="'.$order['products_id'].'"><input type="hidden" name="orders_products_id" value="'.$order['orders_products_id'].'"><input class="text" style="width:25px" type="text" name="product_qty" value="'.number_format($order['qty']).'" /></td>';		
					$tmpcontent.='<td align="left" class="cell_products_name"><input class="text" style="width:180px" type="text" name="product_name" value="'.$order['products_name'].'" />
					</td>';	
					
					$tmpcontent.='<td align="right" class="cell_products_normal_price"><input class="text" style="width:100px" type="text" name="product_price" id="product_price" value="'.$order['products_price'].'" /></td>';	
					$tmpcontent.='<td align="right" class="cell_products_vat"><input class="text" style="width:40px" type="text" name="product_tax" value="'.$order['products_tax'].'" /> %</td>';	
					$tmpcontent.='<td align="right" class="cell_products_final_price">'.mslib_fe::Money2Cents($order['final_price']).'</td>';
				} else {
					$tmpcontent.='<td align="right" class="cell_products_products_id">'.$order['products_id'].'</td>';		
					$tmpcontent.='<td align="right" class="cell_products_qty">'.number_format($order['qty']).'</td>';
					
					$where='';
					if ($order['categories_id'])
					{
						// get all cats to generate multilevel fake url
						$level=0;
						$cats=mslib_fe::Crumbar($order['categories_id']);
						$cats=array_reverse($cats);
						$where='';
						if (count($cats) > 0)
						{
							foreach ($cats as $cat)
							{
								$where.="categories_id[".$level."]=".$cat['id']."&";
								$level++;
							}
							$where=substr($where,0,(strlen($where)-1));
							$where.='&';
						}
						// get all cats to generate multilevel fake url eof
					}				
					$tmpcontent.='<td align="left" class="cell_products_name"><a href="'.mslib_fe::typolink($this->shop_pid,'&'.$where.'&products_id='.$order['products_id'].'&tx_multishop_pi1[page_section]=products_detail').'" target="_blank">'.$order['products_name'].'</a>'.($order['products_model']?' ('.$order['products_model'].')':'').'</td>';		
					$tmpcontent.='<td align="right" class="cell_products_normal_price">'.mslib_fe::Money2Cents($order['final_price']).'</td>';	
					$tmpcontent.='<td align="right" class="cell_products_vat">'.number_format($order['products_tax']).'%</td>';	
					$tmpcontent.='<td align="right" class="cell_products_final_price">'.mslib_fe::Money2Cents($order['qty']*$order['final_price']).'</td>';
				}
				
				if ($ms['MODULES']['ORDER_EDIT'] and !$orders['is_locked']) {
					if (!$get['edit_product']) {
						$tmpcontent.='<td align="right" class="cell_products_action">
						
						<input type="button" value="'.$this->pi_getLL('edit').'" onclick="location.href=\''.$this->FULL_HTTP_URL.mslib_fe::typolink(',2002','&tx_multishop_pi1[page_section]=admin_ajax&orders_id='.$get['orders_id']).'&action=edit_order&edit_product=1&order_pid='.$order['orders_products_id'].'\'" class="msadmin_button">
						
						<a href="'.$this->FULL_HTTP_URL.mslib_fe::typolink(',2002','&tx_multishop_pi1[page_section]=admin_ajax&orders_id='.$get['orders_id']).'&action=edit_order&delete_product=1&order_pid='.$order['orders_products_id'].'" style="text-decoration:none"><input type="button" value="'.$this->pi_getLL('delete').'" onclick="return CONFIRM();" class="msadmin_button"></a></td>';
					} else {
						$tmpcontent.='<td align="right" class="cell_products_action"><input type="button" value="'.$this->pi_getLL('cancel').'" onclick="location.href=\''.$this->FULL_HTTP_URL.mslib_fe::typolink(',2002','&tx_multishop_pi1[page_section]=admin_ajax&orders_id='.$get['orders_id']).'&action=edit_order\'" class="msadmin_button">&nbsp;<input type="submit" value="'.$this->pi_getLL('save').'" class="msadmin_button"></td>';
					}
				}
				$tmpcontent.='</tr>';	
				if ($orders_products_attributes[$order['orders_products_id']])
				{
					foreach ($orders_products_attributes[$order['orders_products_id']] as $tmpkey => $options)
					{
						$tmpcontent.='<tr class="'.$tr_type.'"><td>&nbsp;</td><td>&nbsp;</td><td align="left">'.$options['products_options'].': '.$options['products_options_values'].'</td><td align="right">&nbsp;</td><td align="right">&nbsp;</td><td align="right">';
						if ($options['options_values_price'] > 0)
						{
							$tmpcontent.=mslib_fe::Money2Cents($options['price_prefix'].($order['qty']*$options['options_values_price']));
						}
						$tmpcontent.='</td>';
						if ($ms['MODULES']['ORDER_EDIT'] and !$orders['is_locked']) $tmpcontent.='<td align="right">&nbsp;</td>';
						// count the vat
						if ($options['options_values_price'] and $order['products_tax']) 
						{
							$item_tax=(($order['qty']*$options['options_values_price'])*($order['products_tax']/100));
							if ($options['price_prefix']=='+') $total_tax=$total_tax+$item_tax;
							elseif ($options['price_prefix']=='-') $total_tax=$total_tax-$item_tax;
						}							
					}
				}
				$tmpcontent.='</tr>';
				// count the vat
				if ($order['final_price'] and $order['products_tax']) 
				{
					$item_tax=(($order['qty']*$order['final_price'])*($order['products_tax']/100));
					$total_tax=$total_tax+$item_tax;
				}
			}
		}
		if ($ms['MODULES']['ORDER_EDIT'] and !$orders['is_locked']) {
			$colspan = 8;
			$tmpcontent.='<tr><th colspan="'.$colspan.'" style="text-align:left;padding-left:2px">'.$this->pi_getLL('add_item_to_order').'</th></tr>';
			$tmpcontent.='<tr class="odd">';
			$tmpcontent.='<td align="right"></td><td align="right"><input type="hidden" name="manual_products_id" id="manual_products_id" value=""><input class="text" style="width:25px" type="text" name="manual_product_qty" id="manual_product_qty" value="" /></td>';		
			
			$tmpcontent.='<td align="left">
			<input class="text" style="width:180px" type="text" name="manual_product_name" id="skeyword" value="" />
			<input type="hidden" name="page" id="page" value="1" />
			<script type="text/javascript">
								  jQuery(document).ready(function(){
									var sendData;														  
									jQuery("#skeyword").bind("focus",function(){
										jQuery("#page").val(0);
									})
									jQuery("#skeyword").bind("keydown.autocomplete",function(e){
										// dont process special keys
										var skipKeys = [ 13,38,40,37,39,27,32,17,18,9,16,20,91,93,8,36,35,45,46,33,34,144,145,19 ];
										if (jQuery.inArray(e.keyCode, skipKeys) != -1) sendData = false;
										else sendData = true;																													
									})							
									jQuery("#skeyword").autocomplete({
										//console.log(this);
										minLength: 1,
										delay: 250,
										open: function(event, ui){
										  jQuery(".ui-autocomplete li.ui-menu-item:odd a").addClass("ui-menu-item-alternate");
										  jQuery(".ui-autocomplete").attr("id", "ui-menu-manual-product");
										},										
										source: function( request, response ) {
												if (sendData){		
												jQuery.ajax({
													url: "'. mslib_fe::typolink($this->shop_pid.',2002','&tx_multishop_pi1[page_section]=ajax_products_search&tx_multishop_pi1[type]=edit_order') .'",
													dataType: "json",
													data: {
														q: jQuery("#skeyword").val(), page: jQuery("#page").val()
													},
													success: function( data ) {
														var index = 1;
														 if(data.products != null){
															response( jQuery.map( data.products, function( item ) {
																index = index + 1;
																 
																	if (index == 6) {
																		return {
																			label: item.Title,
																			value: item.Name,
																			link: item.Link,
																			skeyword: item.skeyword,
																			page: item.Page,
																			priceNum: item.final_price,
																			tax_rate: item.tax_rate,
																			prod: item.Product
																			
																		}
																	} else {
																		return {
																			label: "<div class=\"ajax_products_image_wrapper\">"+item.Image + "</div><div class=\"ajax_products_search_item\">" + item.Title  + item.Price + "</div>",
																			value: item.Name,
																			link: item.Link,
																			skeyword: item.skeyword,
																			page: item.Page,
																			prod: item.Product,
																			priceNum: item.final_price,
																			tax_rate: item.tax_rate,
																			products_id : item.products_id
																		}
																	}
																 
																})
															);
														 } //end if data
														//alert(index);
													}
												});
												} // and if sendData
											},
										select: function(event, ui ) {
														jQuery("#skeyword").val(ui.item.skeyword);
														jQuery("#page").val(ui.item.page);
														console.log(ui);
														//alert(ui.toSource());
														var link = "'.$this->FULL_HTTP_URL.'" + ui.item.link ; 
														jQuery("#manual_product_price").val(ui.item.priceNum);
														jQuery("#manual_products_id").val(ui.item.products_id);
														jQuery("#manual_product_tax").val(ui.item.tax_rate);												
														//alert(link);
														if (ui.item.prod == true){
															//open(link,\'_self\',\'resizable,location,menubar,toolbar,scrollbars,status\');
														} else {
															jQuery("#skeyword").autocomplete("search");
														}
														
													},
										focus: function(event, ui) {
											jQuery("#skeyword").val(ui.item.skeyword);
											jQuery("#page").val(0);
											return false;
										}	
									}).data(\'autocomplete\')._renderItem = function (ul, item) {
										return jQuery("<li></li>").data("item.autocomplete", item).append(jQuery("<a></a>").html(item.label)).appendTo(ul);
										};
								  });
							</script>
							
			</td>';		
			$tmpcontent.='<td align="right"><input class="text" style="width:100px" type="text" name="manual_product_price" id="manual_product_price" value="" /></td>';	
			$tmpcontent.='<td align="right" class="cell_products_vat"><input class="text" style="width:40px" type="text" name="manual_product_tax" id="manual_product_tax" value="" /> %</td>';	
			$tmpcontent.='<td align="right" id="manual_final_price">&nbsp;</td>';
			$tmpcontent.='<td align="right"><input type="submit" value="'.$this->pi_getLL('add').'" class="msadmin_button"></td>';
			$tmpcontent.='';
			$tmpcontent.='</tr>';
			
		} else {
			$colspan = 7;
		}
		
//		$tmpcontent.='<tr><td colspan="'.$colspan.'"><hr class="hr"></td></tr>';
		
		$tmpcontent.='<tr><td align="right" colspan="'.$colspan.'" class="">';
		if ($ms['MODULES']['ORDER_EDIT'] and !$orders['is_locked'])
		{
			$shipping_costs='<input name="tx_multishop_pi1[shipping_method_costs]" type="text" value="'.round($orders['shipping_method_costs'],4).'" class="align_right" style="width:60px">';
			$payment_costs='<input name="tx_multishop_pi1[payment_method_costs]" type="text" value="'.round($orders['payment_method_costs'],4).'" class="align_right" style="width:60px">';
		}
		else
		{
			$shipping_costs=mslib_fe::Money2Cents($orders['shipping_method_costs']);
			$payment_costs=mslib_fe::Money2Cents($orders['payment_method_costs']);
		}	
		if ($ms['MODULES']['INCLUDE_VAT_OVER_METHOD_COSTS'])
		{
			$total_tax=($total_tax+($orders['shipping_method_costs']/100*$ms['MODULES']['INCLUDE_VAT_OVER_METHOD_COSTS']));
			$total_tax=($total_tax+($orders['payment_method_costs']/100*$ms['MODULES']['INCLUDE_VAT_OVER_METHOD_COSTS']));
		}
		$tmpcontent.='
		<div class="order_total">
		';
		$tmpcontent.='
		<div class="account-field">
			<label>'.$this->pi_getLL('sub_total').'</label>
			<span class="order_total_value">'.mslib_fe::Money2Cents($total_amount).'</span>
		</div>	
		';
		$content_subtotal_tax='
		<div class="account-field">
			<label>'.$this->pi_getLL('vat').'</label>
			<span class="order_total_value">'.mslib_fe::Money2Cents($total_tax).'</span>
		</div>	
		';
		$content_shipping_costs='
		<div class="account-field">
			<label>'.$this->pi_getLL('shipping_costs').'</label>
			<span class="order_total_value">'.$shipping_costs.'</span>
		</div>	
		';
		$content_payment_costs='
		<div class="account-field">
			<label>'.$this->pi_getLL('payment_costs').'</label>
			<span class="order_total_value">'.$payment_costs.'</span>
		</div>	
		';
		if ($orders['discount'] > 0)
		{
			$content_discount='
			<div class="account-field">
				<label>'.$this->pi_getLL('discount').'</label>
				<span class="order_total_value">'.mslib_fe::Money2Cents($orders['discount']).'</span>
			</div>		
			';
		}
		$content_total='
		<div class="account-field">
			<label>'.$this->pi_getLL('total').'</label>
			<span class="order_total_value">'.mslib_fe::Money2Cents($total_amount+$total_tax+$orders['payment_method_costs']+$orders['shipping_method_costs']-$orders['discount']).'</span>
		</div>	
		';
		if ($ms['MODULES']['INCLUDE_VAT_OVER_METHOD_COSTS'])
		{
			$tmpcontent.=$content_shipping_costs;
			$tmpcontent.=$content_payment_costs;
			$tmpcontent.=$content_subtotal_tax;
			$tmpcontent.=$content_discount;
			$tmpcontent.=$content_total;
		}
		else
		{
			$tmpcontent.=$content_subtotal_tax;
			$tmpcontent.=$content_discount;
			$tmpcontent.=$content_shipping_costs;
			$tmpcontent.=$content_payment_costs;
			$tmpcontent.=$content_total;
		}		
		$tmpcontent.='
</div>		
		';
		$tmpcontent.='</td></tr></table>';
		$tmpcontent.='
		</fieldset>';		
	}	
	$tabs['Order_Details']=array($this->pi_getLL('order_details'),$tmpcontent);
	// order details tab eof	
	// order memo/status tab
	$tmpcontent='';
	$tmpcontent.='
	<div class="account-field">
		<label for="order_memo">'.$this->pi_getLL('order_status').'</label>
		';
	$all_orders_status=mslib_fe::getAllOrderStatus();
	if (is_array($all_orders_status) and count($all_orders_status))
	{
		$tmpcontent.='<select name="order_status">';
		foreach ($all_orders_status as $row)
		{
			$tmpcontent.='<option value="'.$row['id'].'" '.(($orders['status']==$row['id'])?'selected':'').'>'.$row['name'].'</option>'."\n";
		}
		$tmpcontent.='</select>
		';
	}
	$tmpcontent.='
	</div>	
	<div class="account-field">
		<label for="customer_notified">'.$this->pi_getLL('send_email_to_customer').'</label>
		<input name="customer_notified" type="radio" value="0" /> '.$this->pi_getLL('no').'			
		<input name="customer_notified" id="customer_notified" type="radio" value="1" checked /> '.$this->pi_getLL('yes').'
	</div>	
	<div class="account-field">
		<label for="order_memo">'.$this->pi_getLL('order_memo').'</label>
		<textarea name="order_memo" id="order_memo" class="mceEditor" rows="4">'.htmlspecialchars($orders['order_memo']).'</textarea>	
	</div>		
	<div class="account-field">
		<label for="comments">'.$this->pi_getLL('email_message').'</label>
				<textarea name="comments" id="comments" class="mceEditor" rows="4"></textarea>	
	</div>		

	';	
	// load the status history
	$str="select * from tx_multishop_orders_status_history order by name";		
	$query = $GLOBALS['TYPO3_DB']->SELECTquery(
				 '*',         // SELECT ...
				 'tx_multishop_orders_status_history',     // FROM ...
				 'orders_id=\''.$orders['orders_id'].'\'',    // WHERE.
				 '',            // GROUP BY...
				 'orders_status_history_id desc',    // ORDER BY...
				 ''            // LIMIT ...
			);
	$res = $GLOBALS['TYPO3_DB']->sql_query($query);
	$order_status_history_items=array();
	while (($row = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($res)) != false)
	{
		$order_status_history_items[]=$row;
	}	
	if (count($order_status_history_items) > 0)
	{
		$tmpcontent.='
		<fieldset class="tabs-fieldset"><legend>'.$this->pi_getLL('order_status_history').'</legend>
		<table class="msadmin_border" width="100%">
		<tr>
			<th>'.$this->pi_getLL('status').'</th>
			<th>'.$this->pi_getLL('old_status').'</th>
			<th>'.$this->pi_getLL('date').'</th>
			<th>'.$this->pi_getLL('customer_notified').'</th>			
		</tr>		
		';
		foreach ($order_status_history_items as $row)
		{
			if (!$tr_type or $tr_type=='even') 	$tr_type='odd';
			else								$tr_type='even';					
			$old_status_name=$all_orders_status[$row['old_value']]['name'];
			if (!$old_status_name) $old_status_name='Unknown Order Status';
			$status_name=$all_orders_status[$row['new_value']]['name'];
			if (!$status_name) $status_name='Unknown Order Status';
			$tmpcontent.='<tr class="odd">
				<td><strong>'.$status_name.'</strong></td>
				<td>'.$old_status_name.'</td>
				<td>'.strftime("%x %X",$row['crdate']).'</td>
				<td align="center">'.($row['customer_notified']?$this->pi_getLL('yes'):$this->pi_getLL('no')).'</td>
			</tr>
			';
			if ($row['comments'])
			{
				$tmpcontent.='
				<tr class="even">
					<td colspan="4">'.$row['comments'].'</td>
				</tr>
				';
			}
		}	
		$tmpcontent.='</table>
		</fieldset>
		';
	}
	// load the status history eof
	$tabs['Order_Status']=array($this->pi_getLL('order_status'),$tmpcontent);
	// order status tab eof
	$tmpcontent='';	
	$content.='
	<script type="text/javascript"> 
	jQuery(document).ready(function() {
		var url_relatives = "'. mslib_fe::typolink(',2002','&tx_multishop_pi1[page_section]=admin_ajax_product_relatives') .'";
		jQuery(".tab_content").hide(); 
		jQuery("ul.tabs li:first").addClass("active").show();
		jQuery(".tab_content:first").show();
		jQuery("ul.tabs li").click(function() {
			jQuery("ul.tabs li").removeClass("active");
			jQuery(this).addClass("active"); 
			jQuery(".tab_content").hide();
			var activeTab = jQuery(this).find("a").attr("href");
			jQuery(activeTab).fadeIn(0);
			return false;
		});
		jQuery("#load").hide();
		jQuery().ajaxStart(function() {
			jQuery("#load").show();
			jQuery("#has").hide();
		}).ajaxStop(function() {
			jQuery("#load").hide();
			jQuery("#has").show();		
		});
		jQuery("#filter").click(function(){
			if(jQuery("#key").val().length === 0 ){
				var keywords = 2;
				//alert("hore");		
			} else {
				var keywords = jQuery("#key").val();
			}		
			jQuery.ajax({
				type: "POST",
				url: url_relatives,
				data: {keypas:keywords,pid:"'.$_REQUEST['pid'].'"},
				success: function(data) {
					jQuery("#has").html(data);
				}
			});
		});
	});
	</script>
	<div id="tab-container">
		<ul class="tabs">
	';
	foreach ($tabs as $key => $value)
	{
		$count++;
		$content.='<li '.(($count==1)?'class="active"':'').'><a href="#'.$key.'">'.$value[0].'</a></li>';
	}
	$content.='
		</ul>
		<div class="tab_container">
	<form class="admin_product_edit" name="admin_product_edit_'.$product['products_id'].'" id="admin_product_edit_'.$product['products_id'].'" method="post" action="'.mslib_fe::typolink(',2002','&tx_multishop_pi1[page_section]=admin_ajax&action=edit_order&orders_id='.$_REQUEST['orders_id']).'" enctype="multipart/form-data">	
		';
	$count=0;	
	foreach ($tabs as $key => $value)
	{
		$count++;
		$content.='
			<div style="display: block;" id="'.$key.'" class="tab_content">
				'.$value[1].'
			</div>
		';
	}
	$content.=$save_block.'
			</form>	
		</div>
	</div>';	
}
?>